SDL_systhread.c File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_thread.h"`
`#include "../SDL_systhread.h"`
Include dependency graph for SDL_systhread.c:

Go to the source code of this file.

## Functions

int | SDL_SYS_CreateThread (SDL_Thread *thread, void *args)
void | SDL_SYS_SetupThread (const char *name)
SDL_threadID | SDL_ThreadID (void)
int | SDL_SYS_SetThreadPriority (SDL_ThreadPriority priority)
void | SDL_SYS_WaitThread (SDL_Thread *thread)
void | SDL_SYS_DetachThread (SDL_Thread *thread)

## Function Documentation

## SDL_SYS_CreateThread()

int SDL_SYS_CreateThread | ( | SDL_Thread * | thread,
|  | void * | args
| ) |  |

Definition at line 35 of file SDL_systhread.c.

{
return SDL_SetError("Threads are not supported on this platform");
}

Referenced by SDL_CreateThreadWithStackSize().

## SDL_SYS_DetachThread()

void SDL_SYS_DetachThread | ( | SDL_Thread * | thread | ) |

Definition at line 66 of file SDL_systhread.c.

{
return;
}

Referenced by SDL_DetachThread().

## SDL_SYS_SetThreadPriority()

int SDL_SYS_SetThreadPriority | ( | SDL_ThreadPriority | priority | ) |

Definition at line 54 of file SDL_systhread.c.

{
return (0);
}

Referenced by SDL_SetThreadPriority().

## SDL_SYS_SetupThread()

void SDL_SYS_SetupThread | ( | const char * | name | ) |

Definition at line 42 of file SDL_systhread.c.

{
return;
}

Referenced by SDL_RunThread().

## SDL_SYS_WaitThread()

void SDL_SYS_WaitThread | ( | SDL_Thread * | thread | ) |

Definition at line 60 of file SDL_systhread.c.

{
return;
}

Referenced by SDL_WaitThread().

## SDL_ThreadID()

SDL_threadID SDL_ThreadID | ( | void |  | ) |

Get the thread identifier for the current thread.

Definition at line 48 of file SDL_systhread.c.

{
return (0);
}
SDL_SetError
#define SDL_SetError
Definition: SDL_dynapi_overrides.h:30